[Date Prev][Date Next] [Chronological] [Thread] [Top]

Best OpenLDAP Version for LDAPv2/SASL2

What is the best version of openldap to use with an
application that requires the use of the ldapv2
protocol and another application that requires sasl2
support in the same instance of openldap?

Besides the sasl2 support, I need the specific version
of openldap to be able to add/mod/del ldif entries of
the following syntax:

dn: dc=mail, dc=org
objectclass: top
objectclass: organization
o: mail

dn: ou=admins, dc=mail, dc=org
objectclass: top

I've noticed that in the openldap-2.1.x tree the above
syntax is not supported (it requires a dcObject
objectclass).  Too much of the application's code is
developed around the above ldif format and needs to
remain unchanged.

I tried compiling openldap-stable-20020618 with
cyrus-sasl-2.1.7, but it could never detect the sasl2
libraries.  I need sasl2 support in openldap for

Any comments or suggestions would be greatly



Do you Yahoo!?
Yahoo! News - Today's headlines